document.addEventListener('DOMContentLoaded', function() {
  // Create more stars dynamically
  const starsContainer = document.querySelector('.stars');
  for (let i = 0; i < 100; i++) {
    const star = document.createElement('div');
    star.className = 'star';
    star.style.left = `${Math.random() * 100}%`;
    star.style.top = `${Math.random() * 100}%`;
    star.style.width = `${Math.random() * 2 + 1}px`;
    star.style.height = star.style.width;
    star.style.animationDelay = `${Math.random() * 5}s`;
    starsContainer.appendChild(star);
  }

  // Create shooting stars
  for (let i = 0; i < 3; i++) {
    const shootingStar = document.createElement('div');
    shootingStar.className = 'shooting-star';
    shootingStar.style.left = `${Math.random() * 20}%`;
    shootingStar.style.top = `${Math.random() * 20}%`;
    shootingStar.style.animationDelay = `${Math.random() * 10}s`;
    starsContainer.appendChild(shootingStar);
  }

  // Add hover effect to project cards
  const projectCards = document.querySelectorAll('.project-card');
  projectCards.forEach(card => {
    card.addEventListener('mouseenter', function() {
      const image = this.querySelector('.project-image');
      const colors = [
        'radial-gradient(circle, #4a00e0, #8e2de2)',
        'radial-gradient(circle, #11998e, #38ef7d)',
        'radial-gradient(circle, #f12711, #f5af19)',
        'radial-gradient(circle, #1a2980, #26d0ce)',
        'radial-gradient(circle, #ff416c, #ff4b2b)'
      ];
      const randomColor = colors[Math.floor(Math.random() * colors.length)];
      image.style.background = randomColor;
    });
  });

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      const targetId = this.getAttribute('href');
      const targetElement = document.querySelector(targetId);
      if (targetElement) {
        window.scrollTo({
          top: targetElement.offsetTop - 80,
          behavior: 'smooth'
        });
      }
    });
  });
});